Skip to main content
PATCH
/
webhooks
/
{id}
Update webhook subscription
curl --request PATCH \
  --url https://api.app.hrizn.io/v1/public/webhooks/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "url": "<string>",
  "events": [
    "ideacloud.completed"
  ],
  "is_active": true
}
'
{
  "data": {
    "id": "008ca3b4-3e47-48bd-89d0-cd3d46689f30",
    "url": "https://webhook.site/test-endpoint",
    "events": [
      "content.completed",
      "content.failed",
      "ideacloud.completed",
      "ideacloud.failed"
    ],
    "is_active": true,
    "updated_at": "2026-02-28T11:46:34.05499+00:00"
  }
}
Update the URL, events, active status, or description of a webhook subscription. Scope required: webhooks:write

Path parameters

id
string
required
UUID of the webhook subscription.

Request body

All fields are optional. Only include fields you want to change.
url
string
New HTTPS endpoint URL.
events
array
New list of event types (replaces the existing list).
is_active
boolean
Enable or disable the webhook.
description
string
Updated description.
{
  "data": {
    "id": "008ca3b4-3e47-48bd-89d0-cd3d46689f30",
    "url": "https://webhook.site/test-endpoint",
    "events": [
      "content.completed",
      "content.failed",
      "ideacloud.completed",
      "ideacloud.failed"
    ],
    "is_active": true,
    "updated_at": "2026-02-28T11:46:34.05499+00:00"
  }
}

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string
required

Webhook subscription ID

Body

application/json
url
string<uri>
events
enum<string>[]
Minimum array length: 1
Available options:
ideacloud.completed,
ideacloud.failed,
content.progress,
content.completed,
content.failed,
content.approval.submitted,
content.approval.approved,
content.approval.rejected,
content.approval.escalated,
content.approval.overridden,
compliance.completed,
content_tools.completed,
inventory.description.completed,
inventory.description.batch_completed,
inventory.feed.updated
is_active
boolean

Response

Webhook updated

data
object
Last modified on March 1, 2026